## testmanager-ng 1.1.5.gacc3396

=== CMakeLists.txt ===
#-----------------------------------------------------------------------------
#
# Testmanager - Graphical Automation and Visualisation Tool
#
# Copyright (C) 2018-2023  Florian Pose <fp@igh.de>
#                    2023  Bjarne von Horn <vh@igh.de>
#
# This file is part of Testmanager.
#
# Testmanager is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option)
# any later version.
#
# Testmanager is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with Testmanager. If not, see <http://www.gnu.org/licenses/>.
#
#-----------------------------------------------------------------------------

cmake_minimum_required(VERSION 3.10)

project(testmanager VERSION 1.1.5)

option(MODEL_TEST "enable model tests" OFF)
option(USE_QT6 "Use Qt6 instead of Qt5" OFF)
option(PUT_QT_MAJOR_INTO_LIBNAME "Put Qt Major Version into Library Name" OFF)


if(USE_QT6)
    set(Qt Qt6)
    find_package(${Qt} REQUIRED COMPONENTS Core5Compat)
else()
    set(Qt Qt5)
endif()

# load Qt
find_package(${Qt} REQUIRED COMPONENTS Gui Network Svg Widgets Xml LinguistTools)
if (MODEL_TEST)
    find_package(${Qt} REQUIRED COMPONENTS Test)
endif()

if (PUT_QT_MAJOR_INTO_LIBNAME)
    set(QtPdWidgets "${Qt}PdWidgets2")
    set(QtPdCom "${Qt}PdCom1")
else()
    set(QtPdWidgets "QtPdWidgets2")
    set(QtPdCom "QtPdCom1")
endif()

# load PdWidgets
find_package(${QtPdCom} REQUIRED)
find_package(${QtPdWidgets} REQUIRED)

# find numpy include path
if (NOT NUMPY_INCLUDE_DIR)
    find_package(PythonInterp REQUIRED)
    execute_process(COMMAND ${PYTHON_EXECUTABLE} -c "import numpy; print(numpy.get_include())"
        OUTPUT_VARIABLE NUMPY_INCLUDE_DIR
        OUTPUT_STRIP_TRAILING_WHITESPACE
    )
endif()
find_package(PythonLibs REQUIRED)

if (NOT VERSION)
    execute_process(COMMAND sh revision.sh .
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        OUTPUT_VARIABLE VERSION
        OUTPUT_STRIP_TRAILING_WHITESPACE
    )
endif()

add_compile_options(-Wall -Wextra)

include(GNUInstallDirs)

set(TS_FILES
    testmanager_de.ts
)

configure_file(testmanager-lang.qrc "${CMAKE_CURRENT_BINARY_DIR}" COPYONLY)
if (USE_QT6)
    qt6_add_translation(QM_FILES ${TS_FILES})
else()
    qt5_add_translation(QM_FILES ${TS_FILES})
endif()

set(HEADERS
    AboutDialog.h
    BroadcastDialog.h
    ColorDelegate.h
    ConnectDialog.h
    DataModel.h
    DataNode.h
    DataSlot.h
    DataSource.h
    HandleWidget.h
    Legend.h
    LoginDialog.h
    MainWindow.h
    MessageDialog.h
    MessageWidget.h
    MultiDimParameterDelegate.h
    MultiDimParameterDelegate_p.h
    Parameter.h
    ParameterModel.h
    ParameterTableModel.h
    ParameterSet.h
    ParameterSetModel.h
    ParameterDialog.h
    ParameterItemDelegate.h
    ParameterSaveDialog.h
    Plugin.h
    PropertyDelegate.h
    PropertyFlag.h
    PropertyGroup.h
    Property.h
    PropertyModel.h
    PropertyNode.h
    PropertyTree.h
    ReplaceDialog.h
    ScalarSubscriberPluginImpl.h
    ScaleDelegate.h
    ScriptVariable.h
    ScriptVariableModel.h
    Selector.h
    SelectorDelegate.h
    SelectorDialog.h
    SlotDialog.h
    SlotModel.h
    SlotModelCollection.h
    SlotNode.h
    SlotView.h
    SlotViewFilter.h
    SourceDelegate.h
    SourceTree.h
    StyleDialog.h
    TabDialog.h
    TabPage.h
    TooltipMatrix.h
    WidgetContainer.h

    plugins/BarPlugin.h
    plugins/CheckBoxPlugin.h
    plugins/DialPluginDialog.h
    plugins/DialPlugin.h
    plugins/DigitalPlugin.h
    plugins/DoubleSpinBoxPlugin.h
    plugins/GraphPlugin.h
    plugins/LedPlugin.h
    plugins/ParameterSetWidgetPlugin.h
    plugins/PushButtonPlugin.h
    plugins/QLabelPlugin.h
    plugins/RadioButtonPlugin.h
    plugins/SendBroadcastPlugin.h
    plugins/SvgPluginDialog.h
    plugins/SvgPlugin.h
    plugins/TableViewPluginDialog.h
    plugins/TableViewPlugin.h
    plugins/TableViewPluginPrivate.h
    plugins/TextPluginDialog.h
    plugins/TextPlugin.h
    plugins/TouchEditPlugin.h
    plugins/XYGraphPlugin.h
)

set(SOURCES
    AboutDialog.cpp
    BroadcastDialog.cpp
    ColorDelegate.cpp
    ConnectDialog.cpp
    DataModel.cpp
    DataNode.cpp
    DataSlot.cpp
    DataSource.cpp
    HandleWidget.cpp
    Legend.cpp
    LoginDialog.cpp
    main.cpp
    MainWindow.cpp
    MessageDialog.cpp
    MessageWidget.cpp
    MultiDimParameterDelegate.cpp
    Parameter.cpp
    ParameterModel.cpp
    ParameterTableModel.cpp
    ParameterSet.cpp
    ParameterSetModel.cpp
    ParameterDialog.cpp
    ParameterItemDelegate.cpp
    ParameterSaveDialog.cpp
    Plugin.cpp
    Property.cpp
    PropertyDelegate.cpp
    PropertyFlag.cpp
    PropertyGroup.cpp
    PropertyModel.cpp
    PropertyNode.cpp
    PropertyTree.cpp
    ReplaceDialog.cpp
    ScaleDelegate.cpp
    ScriptVariable.cpp
    ScriptVariableModel.cpp
    Selector.cpp
    SelectorDelegate.cpp
    SelectorDialog.cpp
    SlotDialog.cpp
    SlotModel.cpp
    SlotModelCollection.cpp
    SlotNode.cpp
    SlotView.cpp
    SlotViewFilter.cpp
    SourceDelegate.cpp
    SourceTree.cpp
    StyleDialog.cpp
    TabDialog.cpp
    TabPage.cpp
    TooltipMatrix.cpp
    WidgetContainer.cpp

    plugins/BarPlugin.cpp
    plugins/CheckBoxPlugin.cpp
    plugins/DialPlugin.cpp
    plugins/DialPluginDialog.cpp
    plugins/DigitalPlugin.cpp
    plugins/DoubleSpinBoxPlugin.cpp
    plugins/GraphPlugin.cpp
    plugins/LedPlugin.cpp
    plugins/ParameterSetWidgetPlugin.cpp
    plugins/PushButtonPlugin.cpp
    plugins/QLabelPlugin.cpp
    plugins/RadioButtonPlugin.cpp
    plugins/SendBroadcastPlugin.cpp
    plugins/SvgPlugin.cpp
    plugins/SvgPluginDialog.cpp
    plugins/TableViewPlugin.cpp
    plugins/TableViewPluginDialog.cpp
    plugins/TableViewPluginPrivate.cpp
    plugins/TextPlugin.cpp
    plugins/TextPluginDialog.cpp
    plugins/TouchEditPlugin.cpp
    plugins/XYGraphPlugin.cpp
)

set(UI_FILES
    AboutDialog.ui
    BroadcastDialog.ui
    LoginDialog.ui
    MainWindow.ui
    MessageDialog.ui
    MessageWidget.ui
    ParameterDialog.ui
    ParameterSaveDialog.ui
    ReplaceDialog.ui
    SelectorDialog.ui
    SlotDialog.ui
    StyleDialog.ui
    TabDialog.ui

    plugins/DialPluginDialog.ui
    plugins/SvgPluginDialog.ui
    plugins/TableViewPluginDialog.ui
    plugins/TextPluginDialog.ui
)

if (UNIX)
    list(APPEND HEADERS SignalReceiver.h)
    list(APPEND SOURCES SignalReceiver.cpp)
endif()

if (MODEL_TEST)
    list(APPEND HEADERS modeltest.h)
    list(APPEND SOURCES modeltest.cpp)
endif()

add_executable(${PROJECT_NAME}
    ${HEADERS}
    ${SOURCES}
    ${UI_FILES}

    testmanager.qrc
    testmanager.rc
    "${CMAKE_CURRENT_BINARY_DIR}/testmanager-lang.qrc"
    ${QM_FILES}
)

# replacement for lupdate-pro
# just run `make lupdate` in your build dir after running cmake
add_custom_target(lupdate
    ${Qt}::lupdate -locations none ${UI_FILES} ${SOURCES} ${HEADERS} -ts ${TS_FILES}
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)

# enable moc, uic and rcc
set_target_properties(${PROJECT_NAME} PROPERTIES
    AUTOUIC 1
    AUTOMOC 1
    AUTORCC 1
    WIN32_EXECUTABLE 1
)

# link against Qt and PdWidgets
target_link_libraries(${PROJECT_NAME} PUBLIC
    EtherLab::${QtPdCom}
    EtherLab::${QtPdWidgets}
    ${Qt}::Gui
    ${Qt}::Network
    ${Qt}::Svg
    ${Qt}::Widgets
    ${PYTHON_LIBRARIES}
)

if (USE_QT6)
    target_link_libraries(${PROJECT_NAME} PUBLIC
        Qt6::Core5Compat
    )
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    "${CMAKE_CURRENT_SOURCE_DIR}"
    ${PYTHON_INCLUDE_DIRS}
    ${NUMPY_INCLUDE_DIR}
)

install(TARGETS ${PROJECT_NAME}
    ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    RUNTIME DESTINATION  "${CMAKE_INSTALL_BINDIR}"
)

if(COMMIT_DATE)
    target_compile_definitions(${PROJECT_NAME} PRIVATE COMMIT_DATE=${COMMIT_DATE})
endif()

target_compile_definitions(${PROJECT_NAME} PRIVATE VERSION=${VERSION})

if (MODEL_TEST)
    target_link_libraries(${PROJECT_NAME} PRIVATE ${Qt}::Test)
    target_compile_definitions(${PROJECT_NAME} PRIVATE TM_MODEL_TEST)
endif()

# Install example layout
install(FILES example.tml DESTINATION share/testmanager)

## testmanager-ng 0.1.61.gc3d70a6

=== debian/changelog ===
testmanager-ng (0.1.61.gc3d70a6-0) UNRELEASED; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Fri, 01 Sep 2023 14:05:20 +0000

testmanager-ng (0.1.0-17) UNRELEASED; urgency=medium

  * Fix
  * Back to 48549f81df28
  * Update to 2c4a8e50fc31, Add DISABLE_CSS=1 
  * Switch to git, b95806b (HEAD -> master, origin/master, origin/HEAD) QMake variable DISABLE_CSS=1 to avoid black SVGs.
  * 91fd3ad (HEAD -> master, origin/master, origin/HEAD) Moved .hgignore to .gitignore.
  * Add hg to compile dependencies
  * Change to compat 10
  * Fix dh_missing
  * 2b7aee2 (HEAD -> master, origin/master, origin/HEAD) merge
  * a106c47 (HEAD -> master, origin/master, origin/HEAD) Merge branch 'consistentColorPicker' into 'master'
  * Add git to build dependencies
  * b6e7fae (HEAD -> master, origin/master, origin/HEAD) Merge branch 'remove_python_cli' into 'master'

 -- Andreas Stewering-Bone <andreas.stewering-bone@gmx.de>  Fri, 30 Dec 2022 20:38:10 +0100

testmanager-ng (0.1.0-7.1) unstable; urgency=medium

  * Update to 28102d95ea97
  * Update to 887da5a1ac5c
  * Apply CSS patch 
  * Fix package dependencies to qtpdwidgets and icon utils
  * Update to dc616ba686c6
  * Update to 0b82d2c341a7
  * Update to dc82e7f991d2
  * Update to 03fe9e9f0d39, fix compile for debian testing

 -- Andreas Stewering-Bone <andreas.stewering-bone@gmx.de>  Mon, 21 Dec 2020 12:16:01 +0100

testmanager-ng (0.1.0-1) unstable; urgency=low

  * Initial release

 -- Andreas Stewering-Bone <andreas.stewering-bone@gmx.de>  Thu, 22 May 2019 22:51:02 +0200

=== debian/control ===
Source: testmanager-ng
Priority: optional
Maintainer: Andreas Stewering-Bone <ab@igh.de>
Build-Depends: debhelper (>= 9), qtchooser, qtbase5-dev, libqt5svg5-dev, qttools5-dev, qttools5-dev-tools, libpdcom-dev, libqtpdwidgets, libqtpdwidgets-dev, python3-dev, desktop-file-utils, shared-mime-info, dpkg (>= 1.17.0)
Standards-Version: 3.9.5
Section: science
Homepage: http://www.etherlab.org

Package: testmanager-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtpdwidgets, desktop-file-utils, shared-mime-info
Description: Automation visualisation tool
 Testmanager NG ist the sequel of the automation and visualisation tool by
 Dr. Wilhelm Hagemeister.

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT := qt5

# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ --parallel

override_dh_auto_configure:
	qmake PREFIX=/usr DISABLE_CSS=1 VERSION=`dpkg-parsechangelog --show-field Version` testmanager.pro

override_dh_auto_build:
	lrelease testmanager.pro
	make

.PHONY:
	override_dh_strip

override_dh_missing:
	dh_missing --fail-missing

## testmanager-ng 1.1.5.gacc3396

=== debian/changelog ===
testmanager-ng (1.1.5.gacc3396-1+493.10) UNRELEASED; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Fri, 04 Jul 2025 12:34:33 +0000

## testmanager-ng 1.2.2.gf15911f

=== CMakeLists.txt ===
#-----------------------------------------------------------------------------
#
# Testmanager - Graphical Automation and Visualisation Tool
#
# Copyright (C) 2018-2025  Florian Pose <fp@igh.de>
#                    2023  Bjarne von Horn <vh@igh.de>
#
# This file is part of Testmanager.
#
# Testmanager is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option)
# any later version.
#
# Testmanager is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with Testmanager. If not, see <http://www.gnu.org/licenses/>.
#
#-----------------------------------------------------------------------------

cmake_minimum_required(VERSION 3.13)

project(testmanager VERSION 1.2.2)  # remember to edit history in README.md

option(MODEL_TEST "enable model tests" OFF)
option(USE_QT6 "Use Qt6 instead of Qt5" OFF)
option(PUT_QT_MAJOR_INTO_LIBNAME "Put Qt Major Version into Library Name" OFF)

if(USE_QT6)
    set(Qt Qt6)
    find_package(${Qt} REQUIRED COMPONENTS Core5Compat)
else()
    set(Qt Qt5)
endif()

# load Qt
find_package(${Qt} REQUIRED
    COMPONENTS Gui Network Svg Widgets Xml LinguistTools)

if (MODEL_TEST)
    find_package(${Qt} REQUIRED COMPONENTS Test)
endif()

if (PUT_QT_MAJOR_INTO_LIBNAME)
    set(QtPdWidgets "${Qt}PdWidgets2")
    set(QtPdCom "${Qt}PdCom1")
else()
    set(QtPdWidgets "QtPdWidgets2")
    set(QtPdCom "QtPdCom1")
endif()

# load PdWidgets
find_package(${QtPdCom} REQUIRED)
find_package(${QtPdWidgets} REQUIRED)

# find numpy include path
if (NOT NUMPY_INCLUDE_DIR)
    find_package(PythonInterp REQUIRED)
    execute_process(COMMAND
        ${PYTHON_EXECUTABLE} -c "import numpy; print(numpy.get_include())"
        OUTPUT_VARIABLE NUMPY_INCLUDE_DIR
        OUTPUT_STRIP_TRAILING_WHITESPACE
    )
endif()

find_package(PythonLibs REQUIRED)

if (NOT VERSION)
    execute_process(COMMAND sh revision.sh .
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        OUTPUT_VARIABLE VERSION
        OUTPUT_STRIP_TRAILING_WHITESPACE
    )
endif()

add_compile_options(-Wall -Wextra)

include(GNUInstallDirs)

set(TS_FILES
    testmanager_de.ts
)

configure_file(testmanager-lang.qrc "${CMAKE_CURRENT_BINARY_DIR}" COPYONLY)
if (USE_QT6)
    qt6_add_translation(QM_FILES ${TS_FILES})
else()
    qt5_add_translation(QM_FILES ${TS_FILES})
endif()

set(HEADERS
    src/AboutDialog.h
    src/BroadcastDialog.h
    src/ColorDelegate.h
    src/ConnectDialog.h
    src/DataModel.h
    src/DataNode.h
    src/DataSlot.h
    src/DataSource.h
    src/DetachableTabWidget.h
    src/DetachedDockWidget.h
    src/HandleWidget.h
    src/Legend.h
    src/LoginDialog.h
    src/MainWindow.h
    src/MessageDialog.h
    src/MessageWidget.h
    src/MultiDimParameterDelegate.h
    src/MultiDimParameterDelegate_p.h
    src/Parameter.h
    src/ParameterDialog.h
    src/ParameterItemDelegate.h
    src/ParameterModel.h
    src/ParameterSaveDialog.h
    src/ParameterSet.h
    src/ParameterSetModel.h
    src/ParameterTableModel.h
    src/Plugin.h
    src/Property.h
    src/PropertyDelegate.h
    src/PropertyFlag.h
    src/PropertyGroup.h
    src/PropertyModel.h
    src/PropertyNode.h
    src/PropertyTree.h
    src/ReplaceDialog.h
    src/ScalarSubscriberPluginImpl.h
    src/ScaleDelegate.h
    src/ScriptVariable.h
    src/ScriptVariableModel.h
    src/Selector.h
    src/SelectorDelegate.h
    src/SelectorDialog.h
    src/SlotDialog.h
    src/SlotModel.h
    src/SlotModelCollection.h
    src/SlotNode.h
    src/SlotView.h
    src/SlotViewFilter.h
    src/SourceDelegate.h
    src/SourceTree.h
    src/StyleDialog.h
    src/TabDialog.h
    src/TabPage.h
    src/TooltipMatrix.h
    src/WidgetContainer.h

    plugins/BarPlugin.h
    plugins/CheckBoxPlugin.h
    plugins/DialPlugin.h
    plugins/DialPluginDialog.h
    plugins/DigitalPlugin.h
    plugins/DoubleSpinBoxPlugin.h
    plugins/GraphPlugin.h
    plugins/LedPlugin.h
    plugins/ParameterSetWidgetPlugin.h
    plugins/PushButtonPlugin.h
    plugins/QLabelPlugin.h
    plugins/RadioButtonPlugin.h
    plugins/RotorPlugin.h
    plugins/SendBroadcastPlugin.h
    plugins/TableViewPlugin.h
    plugins/TableViewPluginDialog.h
    plugins/TableViewPluginPrivate.h
    plugins/TextPlugin.h
    plugins/TextPluginDialog.h
    plugins/TouchEditPlugin.h
    plugins/XYGraphPlugin.h
)

set(SOURCES
    src/AboutDialog.cpp
    src/BroadcastDialog.cpp
    src/ColorDelegate.cpp
    src/ConnectDialog.cpp
    src/DataModel.cpp
    src/DataNode.cpp
    src/DataSlot.cpp
    src/DataSource.cpp
    src/DetachableTabWidget.cpp
    src/DetachedDockWidget.cpp
    src/HandleWidget.cpp
    src/Legend.cpp
    src/LoginDialog.cpp
    src/MainWindow.cpp
    src/MessageDialog.cpp
    src/MessageWidget.cpp
    src/MultiDimParameterDelegate.cpp
    src/Parameter.cpp
    src/ParameterDialog.cpp
    src/ParameterItemDelegate.cpp
    src/ParameterModel.cpp
    src/ParameterSaveDialog.cpp
    src/ParameterSet.cpp
    src/ParameterSetModel.cpp
    src/ParameterTableModel.cpp
    src/Plugin.cpp
    src/Property.cpp
    src/PropertyDelegate.cpp
    src/PropertyFlag.cpp
    src/PropertyGroup.cpp
    src/PropertyModel.cpp
    src/PropertyNode.cpp
    src/PropertyTree.cpp
    src/ReplaceDialog.cpp
    src/ScaleDelegate.cpp
    src/ScriptVariable.cpp
    src/ScriptVariableModel.cpp
    src/Selector.cpp
    src/SelectorDelegate.cpp
    src/SelectorDialog.cpp
    src/SlotDialog.cpp
    src/SlotModel.cpp
    src/SlotModelCollection.cpp
    src/SlotNode.cpp
    src/SlotView.cpp
    src/SlotViewFilter.cpp
    src/SourceDelegate.cpp
    src/SourceTree.cpp
    src/StyleDialog.cpp
    src/TabDialog.cpp
    src/TabPage.cpp
    src/TooltipMatrix.cpp
    src/WidgetContainer.cpp
    src/main.cpp

    plugins/BarPlugin.cpp
    plugins/CheckBoxPlugin.cpp
    plugins/DialPlugin.cpp
    plugins/DialPluginDialog.cpp
    plugins/DigitalPlugin.cpp
    plugins/DoubleSpinBoxPlugin.cpp
    plugins/GraphPlugin.cpp
    plugins/LedPlugin.cpp
    plugins/ParameterSetWidgetPlugin.cpp
    plugins/PushButtonPlugin.cpp
    plugins/QLabelPlugin.cpp
    plugins/RadioButtonPlugin.cpp
    plugins/RotorPlugin.cpp
    plugins/SendBroadcastPlugin.cpp
    plugins/TableViewPlugin.cpp
    plugins/TableViewPluginDialog.cpp
    plugins/TableViewPluginPrivate.cpp
    plugins/TextPlugin.cpp
    plugins/TextPluginDialog.cpp
    plugins/TouchEditPlugin.cpp
    plugins/XYGraphPlugin.cpp
)

set(UI_FILES
    src/AboutDialog.ui
    src/BroadcastDialog.ui
    src/LoginDialog.ui
    src/MainWindow.ui
    src/MessageDialog.ui
    src/MessageWidget.ui
    src/ParameterDialog.ui
    src/ParameterSaveDialog.ui
    src/ReplaceDialog.ui
    src/SelectorDialog.ui
    src/SlotDialog.ui
    src/StyleDialog.ui
    src/TabDialog.ui

    plugins/DialPluginDialog.ui
    plugins/TableViewPluginDialog.ui
    plugins/TextPluginDialog.ui
)

if (UNIX)
    list(APPEND HEADERS src/SignalReceiver.h)
    list(APPEND SOURCES src/SignalReceiver.cpp)
endif()

if (MODEL_TEST)
    list(APPEND HEADERS src/modeltest.h)
    list(APPEND SOURCES src/modeltest.cpp)
endif()

add_executable(${PROJECT_NAME}
    ${HEADERS}
    ${SOURCES}
    ${UI_FILES}

    testmanager.qrc
    testmanager.rc
    "${CMAKE_CURRENT_BINARY_DIR}/testmanager-lang.qrc"
    ${QM_FILES}
)

# replacement for lupdate-pro
# just run `make lupdate` in your build dir after running cmake
add_custom_target(lupdate
    ${Qt}::lupdate -locations none ${UI_FILES} ${SOURCES} ${HEADERS}
        -ts ${TS_FILES}
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)

# enable moc, uic and rcc
set_target_properties(${PROJECT_NAME} PROPERTIES
    AUTOUIC 1
    AUTOMOC 1
    AUTORCC 1
    WIN32_EXECUTABLE 1
)

# link against Qt and PdWidgets
target_link_libraries(${PROJECT_NAME} PUBLIC
    EtherLab::${QtPdCom}
    EtherLab::${QtPdWidgets}
    ${Qt}::Gui
    ${Qt}::Network
    ${Qt}::Svg
    ${Qt}::Widgets
    ${PYTHON_LIBRARIES}
)

if (USE_QT6)
    target_link_libraries(${PROJECT_NAME} PUBLIC
        Qt6::Core5Compat
    )
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    "${CMAKE_CURRENT_SOURCE_DIR}"
    "${CMAKE_CURRENT_SOURCE_DIR}/src"
    ${PYTHON_INCLUDE_DIRS}
    ${NUMPY_INCLUDE_DIR}
)

install(TARGETS ${PROJECT_NAME}
    ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
)

if(COMMIT_DATE)
    target_compile_definitions(${PROJECT_NAME}
        PRIVATE COMMIT_DATE=${COMMIT_DATE})
endif()

set_source_files_properties(AboutDialog.cpp PROPERTIES
    COMPILE_DEFINITIONS VERSION=${VERSION}
)

if (MODEL_TEST)
    target_link_libraries(${PROJECT_NAME} PRIVATE ${Qt}::Test)
    target_compile_definitions(${PROJECT_NAME} PRIVATE TM_MODEL_TEST)
endif()

# Install example layout
install(FILES example.tml DESTINATION share/testmanager)

=== debian/changelog ===
testmanager-ng (1.2.2.gf15911f-1+496.3) UNRELEASED; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Thu, 16 Oct 2025 16:33:35 +0000

=== debian/control ===
Source: testmanager-ng
Priority: optional
Maintainer: Andreas Stewering-Bone <ab@igh.de>
Build-Depends: debhelper (>= 9), qtchooser, qtbase5-dev, libqt5svg5-dev, qttools5-dev, qttools5-dev-tools, libpdcom5-dev, libqtpdwidgets2-dev, libqtpdcom1-dev, python3-dev, desktop-file-utils, shared-mime-info, dpkg (>= 1.17.0), cmake, dh-exec, python3-numpy
Standards-Version: 3.9.5
Section: science
Homepage: https://etherlab.org/testmanager

Package: testmanager-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, desktop-file-utils, shared-mime-info, python3-numpy
Description: Automation visualisation tool
 Testmanager NG ist the sequel of the automation and visualisation tool by
 Dr. Wilhelm Hagemeister.
